local BS = AceLibrary("Babble-Spell-2.2")

--No base increase on: Insect Swarm, Rejuvenation, Entangling Roots, Lifebloom
--TODO: Downranking exceptions?

function DrDamage:DruidData()

	local DruidTable = {

		spellInfo = {

			[BS["Wrath"]] = {
						[0] = { School = "Nature", canCrit = true, castTime = 2, CastMod = 0.1, BaseIncrease = true, },
						[1] = { 12, 14, 1, 2, spellLevel = 1, maxLevel = 5, castTime = 1.5, },
						[2] = { 25, 29, 3, 4, spellLevel = 6, maxLevel = 13, castTime = 1.7, },
						[3] = { 44, 52, 4, 5, spellLevel = 14, maxLevel = 21, },
						[4] = { 63, 73, 6, 6, spellLevel = 22, maxLevel = 29, },
						[5] = { 101, 115, 7, 8, spellLevel = 30, maxLevel = 37, },
						[6] = { 139, 157, 9, 10, spellLevel = 38, maxLevel = 45, },
						[7] = { 188, 210, 10, 11, spellLevel = 46, maxLevel = 53, },
						[8] = { 236, 264, 12, 13, spellLevel = 54, maxLevel = 60, },
						[9] = { 278, 312, 14, 15, SpellLevel = 61, maxLevel = 68, },
						[10] = { 381, 429, 2, 3, SpellLevel = 69, maxLevel = 70, },
			},
			[BS["Hurricane"]] = {
						[0] = { School = "Nature", castTime = 10, sHits = 10, sFactor = 1/2 * 0.9 * 0.83, BaseIncrease = true, Downrank = -2,  },
						[1] = { 70, 70, 1, 2, spellLevel = 40, maxLevel = 49, },
						[2] = { 100, 100, 1, 2, spellLevel = 50, maxLevel = 59, },
						[3] = { 134, 134, 1, 2, spellLevel = 60, maxLevel = 69, },
						[4] = { 206, 206, 0, 0, spellLevel = 70, maxLevel = 70, },
			},
			[BS["Insect Swarm"]] = {
						[0] = { School = "Nature", sFactor = 0.95, eDot = true, eDuration = 12, Downrank = -2, sTicks = 2, },
						[1] = { 108, 108, spellLevel = 20, maxLevel = 29, },
						[2] = { 192, 192, spellLevel = 30, maxLevel = 39, },
						[3] = { 300, 300, spellLevel = 40, maxLevel = 49, },
						[4] = { 432, 432, spellLevel = 50, maxLevel = 59, },
						[5] = { 594, 594, spellLevel = 60, maxLevel = 69, },
						[6] = { 792, 792, spellLevel = 70, maxLevel = 70, },
			},		
			[BS["Moonfire"]] = {
						[0] = { School = "Arcane", canCrit = true, eDuration = 12, sTicks = 3, hybridFactor = 0.348, BaseIncrease = true, Downrank = 2, },
						[1] = { 7, 9, 2, 3, hybridDotDmg = 12, spellLevel = 4, maxLevel = 9, },
						[2] = { 13, 17, 4, 4, hybridDotDmg = 32, spellLevel = 10, maxLevel = 15, },
						[3] = { 25, 31, 5, 6, hybridDotDmg = 52, spellLevel = 16, maxLevel = 27, },
						[4] = { 40, 48, 7, 7, hybridDotDmg = 80, spellLevel = 22, maxLevel = 33, },
						[5] = { 61, 73, 9, 9, hybridDotDmg = 124, spellLevel = 28, maxLevel = 39, },
						[6] = { 81, 97, 10, 11, hybridDotDmg = 164, spellLevel = 34, maxLevel = 44, },
						[7] = { 105, 125, 12, 12, hybridDotDmg = 212, spellLevel = 40, maxLevel = 45, },
						[8] = { 130, 154, 13, 14, hybridDotDmg = 264, spellLevel = 46, maxLevel = 51, },
						[9] = { 157, 185, 15, 15, hybridDotDmg = 320, spellLevel = 52, maxLevel = 57, },
						[10] = { 189, 221, 16, 17, hybridDotDmg = 384, spellLevel = 58, maxLevel = 62, },
						[11] = { 220, 258, 18, 18, hybridDotDmg = 444, spellLevel = 63, maxLevel = 69, },
						[12] = { 305, 357, 0, 0, hybridDotDmg = 600, spellLevel = 70, maxLevel = 70, },
			},
			[BS["Starfire"]] = {
						[0] = { School = "Arcane", canCrit = true, castTime = 3.5, CastMod = 0.1, BaseIncrease = true, },
						[1] = { 89, 109, 6, 6, spellLevel = 20, maxLevel = 25, },
						[2] = { 137, 167, 9, 10, spellLevel = 26, maxLevel = 33, },
						[3] = { 201, 241, 11, 12, spellLevel = 34, maxLevel = 41, },
						[4] = { 280, 334, 13, 14, spellLevel = 42, maxLevel = 49, },
						[5] = { 362, 428, 16, 17, spellLevel = 50, maxLevel = 57, },
						[6] = { 445, 525, 18, 18, spellLevel = 58, maxLevel = 66, }, --Verify maxlevel
						[7] = { 496, 584, 18, 19, spellLevel = 60, maxLevel = 66, },
						[8] = { 540, 636, 10, 11, spellLevel = 67, maxLevel = 70, },
			},
			[BS["Entangling Roots"]] = {
						[0] = { School = "Nature", eDot = true, eDuration = 27, sFactor = 0.5, sTicks = 3, Downrank = -2 },
						[1] = { 20, 20, spellLevel = 8, maxLevel = 17, eDuration = 12, },
						[2] = { 50, 50, spellLevel = 18, maxLevel = 27, eDuration = 15, },
						[3] = { 90, 90, spellLevel = 28, maxLevel = 37, eDuration = 18, },
						[4] = { 140, 140, spellLevel = 38, maxLevel = 47, eDuration = 21, },
						[5] = { 200, 200, spellLevel = 48, maxLevel = 57, eDuration = 24, },
						[6] = { 270, 270, spellLevel = 58, maxLevel = 67, },
						[7] = { 351, 351, spellLevel = 68, maxLevel = 70, },
			},
			[BS["Healing Touch"]] = {
						[0] = { School = { "Nature", "Healing", }, canCrit = true, castTime = 3.5,CastMod = 0.1, BaseIncrease = true, },
						[1] = { 37, 51, 3, 4, spellLevel = 1, maxLevel = 7, castTime = 1.5, },
						[2] = { 88, 112, 6, 7, spellLevel = 8, maxLevel = 13, castTime = 2, },
						[3] = { 195, 243, 9, 10, spellLevel = 14, maxLevel = 19, castTime = 2.5, },
						[4] = { 363, 446, 13, 13, spellLevel = 20, maxLevel = 25, castTime = 3, },
						[5] = { 572, 694, 17, 18, spellLevel = 26, maxLevel = 31, },
						[6] = { 742, 894, 20, 20, spellLevel = 32, maxLevel = 37, },
						[7] = { 936, 1120, 22, 23, spellLevel = 38, maxLevel = 43, },					
						[8] = { 1199, 1427, 26, 26, spellLevel = 44, maxLevel = 49, },
						[9] = { 1516, 1796, 29, 30, spellLevel = 50, maxLevel = 55, },
						[10] = { 1890, 2230, 33, 33, spellLevel = 56, maxLevel = 61, },
						[11] = { 2267, 2677, 36, 37, spellLevel = 60, maxLevel = 61, },
						[12] = { 2364, 2790, 37, 37, spellLevel = 62, maxLevel = 68, },
						[13] = { 2707, 3197, 8, 9, spellLevel = 69, maxLevel = 70, },
			},
			[BS["Rejuvenation"]] = {
						[0] = { School = { "Nature", "Healing", }, eDot = true, eDuration = 12, sTicks = 3, },
						[1] = { 32, 32, spellLevel = 4, maxLevel = 9, },
						[2] = { 56, 56, spellLevel = 10, maxLevel = 15, },
						[3] = { 116, 116, spellLevel = 16, maxLevel = 21, },
						[4] = { 180, 180, spellLevel = 22, maxLevel = 27, },
						[5] = { 244, 244, spellLevel = 28, maxLevel = 33, },
						[6] = { 304, 304, spellLevel = 34, maxLevel = 39, },
						[7] = { 388, 388, spellLevel = 40, maxLevel = 49, },
						[8] = { 488, 488, spellLevel = 46, maxLevel = 49, },
						[9] = { 608, 608, spellLevel = 52, maxLevel = 55, },
						[10] = { 756, 756, spellLevel = 58, maxLevel = 62, }, --Verify maxlevel
						[11] = { 888, 888, spellLevel = 60, maxLevel = 62, },
						[12] = { 932, 932, spellLevel = 63, maxLevel = 68, },
						[13] = { 1060, 1060, spellLevel = 69, maxLevel = 70, },
			},
			[BS["Regrowth"]] = {
						[0] = { School = { "Nature", "Healing", }, canCrit = true, castTime = 2, hybridFactor = 0.499, eDuration = 21, sTicks = 3, },
						[1] = { 84, 98, 9, 9, hybridDotDmg = 98, spellLevel = 12, maxLevel = 17, },
						[2] = { 164, 188, 12, 13, hybridDotDmg = 175, spellLevel = 18, maxLevel = 23, },
						[3] = { 240, 274, 15, 16, hybridDotDmg = 259, spellLevel = 24, maxLevel = 35, },
						[4] = { 318, 360, 18, 18, hybridDotDmg = 343, spellLevel = 30, maxLevel = 35, },
						[5] = { 405, 457, 20, 21, hybridDotDmg = 427, spellLevel = 36, maxLevel = 41, },
						[6] = { 511, 575, 23, 24, hybridDotDmg = 546, spellLevel = 42, maxLevel = 47, },
						[7] = { 646, 724, 26, 27, hybridDotDmg = 686, spellLevel = 48, maxLevel = 53, },
						[8] = { 809, 905, 30, 30, hybridDotDmg = 861, spellLevel = 54, maxLevel = 59, },
						[9] = { 1003, 1119, 34, 34, hybridDotDmg = 1064, spellLevel = 60, maxLevel = 64, },
						[10] = { 1215, 1355, 38, 39, hybridDotDmg = 1274, spellLevel = 65, maxLevel = 70, },
			},
			[BS["Tranquility"]] = {
						[0] = { School = { "Nature", "Healing", }, castTime = 8, Cooldown = 600, sFactor = 1/3, sHits = 4, BaseIncrease = true, Downrank = -2, },
						[1] = { 351, 351, 13, 14, spellLevel = 30, maxLevel = 39, },
						[2] = { 515, 515, 15, 16, spellLevel = 40, maxLevel = 49, },
						[3] = { 765, 765, 20, 21, spellLevel = 50, maxLevel = 59, },
						[4] = { 1097, 1097, 22, 23, spellLevel = 60, maxLevel = 69, },
						[5] = { 1518, 1518, 0, 0,  spellLevel = 70, maxLevel = 70, },
			},
			[BS["Lifebloom"]] = {
						[0] = { School = { "Nature", "Healing" }, canCrit = true, eDuration = 7, sTicks = 1, hybridDotFactor = 1.115 },
						[1] = { 600, 600, hybridDotDmg = 273, spellLevel = 64, maxLevel = 70, },					
			},		
		},
		talentInfo = {
			["Starlight Wrath"] = { Effect = 1, Spells = { "Wrath", "Starfire" }, ModType = "CastTime", },
			["Focused Starlight"] = { Effect = 2, Spells = { "Wrath", "Starfire" }, ModType = "Crit", },
			["Improved Moonfire"] = { Effect = 5, Spells = { "Moonfire" }, ModType = "Crit", Effect2 = 0.05, Spells2 = { "Moonfire" }, },
			["Vengeance"] = { Effect = 0.1, Spells = { "Starfire", "Moonfire", "Wrath" }, ModType="CritMultiplier", },
			["Moonfury"] = { Effect = 0.02, Spells = { "Starfire", "Moonfire", "Wrath" }, },
			["Balance of Power"] = { Effect = 2, Spells = { "All" }, ModType = "Hit" },
			["Wrath of Cenarius"] = { Effect = 0.04, Spells = { "Starfire", }, ModType = "SpellDamage", Effect2 = 0.02, Spells2 = { "Wrath", }, ModType2 = "SpellDamage", },
			["Naturalist"] = { Effect = 1, Spells = { "Healing Touch" }, ModType = "CastTime", },
			["Gift of Nature"] = { Effect = 0.02, Spells = { "Healing" }, Add = true, },
			["Improved Rejuvenation"] = { Effect = 0.05, Spells = { "Rejuvenation" }, Add = true, },
			["Improved Regrowth"] = { Effect = 10, Spells = { "Regrowth" }, ModType = "Crit" },
			["Empowered Touch"] = { Effect = 0.1, Spells = { "Healing Touch" }, ModType = "SpellDamage", },
			["Natural Perfection"] = { Effect = 1, Spells = { "Wrath", "Starfire", "Moonfire", "Healing", }, ModType = "Crit", },
			["Empowered Rejuvenation"] = { Effect = 0.04, Spells = { "Rejuvenation", "Lifebloom", "Regrowth" }, ModType = "SpellDamage", Multiply = true, Effect2 = 0.04, Spells2 = { "Regrowth", "Lifebloom", }, ModType2 = "DotSpellDamage", Multiply2 = true, },
		},

	}
	
	return DruidTable["spellInfo"], DruidTable["talentInfo"]
end